com.independentsoft.exchange

## Enum ResolveNamesSearchScope

- java.lang.Object
- - java.lang.Enum<ResolveNamesSearchScope>
  - - com.independentsoft.exchange.ResolveNamesSearchScope

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResolveNamesSearchScope>

      public enum ResolveNamesSearchScope
      extends java.lang.Enum<ResolveNamesSearchScope>

  Identifies the order and scope for a ResolveNames search.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_DIRECTORY` Only the Active Directory directory service is searched.
    `ACTIVE_DIRECTORY_CONTACTS` Active Directory is searched first, and then the contact folders that are specified in the ParentFolderIds property are searched.
    `CONTACTS` Only the contact folders that are identified by the ParentFolderIds are searched.
    `CONTACTS_ACTIVE_DIRECTORY` Contact folders that are identified by the ParentFolderIds property are searched first and then Active Directory is searched.
    `NONE` None.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResolveNamesSearchScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResolveNamesSearchScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE_DIRECTORY

          public static final ResolveNamesSearchScope ACTIVE_DIRECTORY

      Only the Active Directory directory service is searched.

    - #### ACTIVE_DIRECTORY_CONTACTS

          public static final ResolveNamesSearchScope ACTIVE_DIRECTORY_CONTACTS

      Active Directory is searched first, and then the contact folders that are specified in the ParentFolderIds property are searched.

    - #### CONTACTS

          public static final ResolveNamesSearchScope CONTACTS

      Only the contact folders that are identified by the ParentFolderIds are searched.

    - #### CONTACTS_ACTIVE_DIRECTORY

          public static final ResolveNamesSearchScope CONTACTS_ACTIVE_DIRECTORY

      Contact folders that are identified by the ParentFolderIds property are searched first and then Active Directory is searched.

    - #### NONE

          public static final ResolveNamesSearchScope NONE

      None.

  - ### Method Detail

    - #### values

          public static ResolveNamesSearchScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResolveNamesSearchScope c : ResolveNamesSearchScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResolveNamesSearchScope valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null